Resource

Incident Episode Member

Link between incidents and episodes

The Incident Episode Member Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    incidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode that this incident belongs to

  • Name
    incidentEpisodeId
    Type
    Object IDRequired
    Description

    ID of the Incident Episode that this incident belongs to

  • Name
    incident
    Type
    Incident
    Description

    Relation to Incident that is a member of this episode

  • Name
    incidentId
    Type
    Object IDRequired
    Description

    ID of the Incident that is a member of this episode

  • Name
    addedAt
    Type
    Date
    Description

    When this incident was added to the episode

  • Name
    addedBy
    Type
    TextRequired
    Description

    How this incident was added to the episode (rule, manual, or api)

  • Name
    addedByUser
    Type
    User
    Description

    User who manually added this incident to the episode (if applicable)

  • Name
    addedByUserId
    Type
    Object ID
    Description

    User ID who manually added this incident to the episode

  • Name
    matchedRule
    Type
    Incident Grouping Rule
    Description

    Relation to the Incident Grouping Rule that matched this incident (if applicable)

  • Name
    matchedRuleId
    Type
    Object ID
    Description

    ID of the grouping rule that matched this incident

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/incident-episode-member/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Episode Member. By default, a maximum of ten Incident Episode Member are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-episode-member/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "addedBy": true,
    "incidentEpisodeId": true,
    "incidentId": true,
    "projectId": true,
    "_id": true
  },
  "query": {
    "addedBy": "Example added by"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376fbcf0-28fe-11f1-b591-3fdcef396aba",
      "addedBy": "Example added by",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376fbcf1-28fe-11f1-b591-3fdcef396aba",
      "addedBy": "Example added by",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376fbcf2-28fe-11f1-b591-3fdcef396aba",
      "addedBy": "Example added by",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/incident-episode-member/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Episode Member by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-episode-member/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "addedBy": true,
    "incidentEpisodeId": true,
    "incidentId": true,
    "projectId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "addedBy": "Example added by",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/incident-episode-member/count

Count

This endpoint allows you to retrieve the count of all your Incident Episode Member.

Optional Request Body

Count Request

POST
/api/incident-episode-member/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "addedBy": "Example added by"
  }
}

Response

{
  "count": 107
}
POST/api/incident-episode-member

Create Incident Episode Member

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-episode-member
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "addedBy": "Example added by",
    "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
    "incidentId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "addedAt": "2024-01-15T10:30:00.000Z"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "addedBy": "Example added by",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/incident-episode-member/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-member/:id/update-item
GET/api/incident-episode-member/:id/update-item

Update Request

PUT
/api/incident-episode-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/incident-episode-member/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-member/:id/delete-item
GET/api/incident-episode-member/:id/delete-item

Delete Request

DELETE
/api/incident-episode-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Episode Member
  • Read All Project Resources

Create Permissions

Required to create Incident Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Episode Member

Update Permissions

Required to update Incident Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Episode Member

Delete Permissions

Required to delete Incident Episode Member

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Episode Member